summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-06-13 01:14:12 +0200
committerManuel Rüger <mrueg@gentoo.org>2018-06-13 01:14:12 +0200
commit30cc60e65510bcb19c2e4928294acaf814b138f3 (patch)
treec499fd0540762c9bfbb991501b07e70e45cd327e
parentnet-misc/curl: remove older insecure versions, bug #655266 (diff)
downloadgentoo-30cc60e65510bcb19c2e4928294acaf814b138f3.tar.gz
gentoo-30cc60e65510bcb19c2e4928294acaf814b138f3.tar.bz2
gentoo-30cc60e65510bcb19c2e4928294acaf814b138f3.zip
net-print/hplip-plugin: Version bump to 3.18.5
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--net-print/hplip-plugin/Manifest1
-rw-r--r--net-print/hplip-plugin/hplip-plugin-3.18.5.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/net-print/hplip-plugin/Manifest b/net-print/hplip-plugin/Manifest
index 8c10e9212a8..af51d3635f4 100644
--- a/net-print/hplip-plugin/Manifest
+++ b/net-print/hplip-plugin/Manifest
@@ -1,2 +1,3 @@
DIST hplip-3.17.10-plugin.run 2062947 BLAKE2B 86f15193a751794eb64acfbaf1b42151c34336603d4d592cc84a375ccca4e7be4177d3dda76fc153ac0a6898eff24174df43256450cd81ae8ad4d4f6abd69ade SHA512 98eef413b122527c4a7860b621baf11c04ec9d7f4e43ce4f36e7822a633c64b3d98cbc86cd7d305c74d9a49a4159ebd7280d652e1ba430cad4cc70f66d23ee07
DIST hplip-3.18.4-plugin.run 2065541 BLAKE2B 0e7af5eaf3059c4e77b5213e2fcb240da898f1bb68162fedf4b36e0f47cb1fa060f908a617f7ca1d10aadf6fa59f9617fdf91374c709c3439a59ca27560f186c SHA512 8e8aaa9703b12806ebcaa10ec764489baa02ce48a3f73f82a6ae964c6ed01882e1ae315b4ccd923e96792217765d6f8ac9c01e9b6ea41af86b13ba6100229fb9
+DIST hplip-3.18.5-plugin.run 2065554 BLAKE2B af0acfbde9c5c3ff92437c86739dac339e91f7d4e1552bad46b3e3a4831317b3ddd3b18375bc8ed4e2340d7b039f11b2bf2b48145ba02b59c876c28fc51842de SHA512 5fd105f15dcc5f47948090c3cb32a2b7db5abc81d10a33e76b4274be407d56c2ff6d6a877f1931ed8a1fa01e7b109a65424fe9de7a6cb5f7eb5f968a10f4721c
diff --git a/net-print/hplip-plugin/hplip-plugin-3.18.5.ebuild b/net-print/hplip-plugin/hplip-plugin-3.18.5.ebuild
new file mode 100644
index 00000000000..906e4c9f061
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.18.5.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit udev unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="https://developers.hp.com/hp-linux-imaging-and-printing"
+SRC_URI="http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-${PV}-plugin.run"
+
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ ~net-print/hplip-${PV}
+ virtual/udev
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PRESTRIPPED="
+ /usr/share/hplip/fax/plugins/fax_marvell.so
+ /usr/share/hplip/prnt/plugins/hbpl1.so
+ /usr/share/hplip/prnt/plugins/lj.so
+ /usr/share/hplip/scan/plugins/bb_escl.so
+ /usr/share/hplip/scan/plugins/bb_marvell.so
+ /usr/share/hplip/scan/plugins/bb_soapht.so
+ /usr/share/hplip/scan/plugins/bb_soap.so
+"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_unpack() {
+ unpack_makeself "hplip-${PV}-plugin.run"
+}
+
+src_install() {
+ local hplip_arch=$(use amd64 && echo 'x86_64' || echo 'x86_32')
+
+ insinto "${HPLIP_HOME}"/data/firmware
+ doins *.fw.gz
+
+ for plugin in *-${hplip_arch}.so; do
+ local plugin_type=prnt
+ case "${plugin}" in
+ fax_*) plugin_type=fax ;;
+ bb_*) plugin_type=scan ;;
+ esac
+
+ exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+ newexe ${plugin} ${plugin/-${hplip_arch}}
+ done
+
+ mkdir -p "${ED}/var/lib/hp/"
+ cat >> "${ED}/var/lib/hp/hplip.state" <<-_EOF_
+ [plugin]
+ installed = 1
+ eula = 1
+ version = ${PV}
+ _EOF_
+}